<?php 
defined('BASEPATH') OR exit('No direct script access allowed');
header('Access-Control-Allow-Origin: *');

class ValorHabitacion extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
    
        //cargar la base de datos
        $this->load->database();
        //parser de json y xml
        $this->load->library("parser");

        //$this->load->model('Sesion_Model');
        $this->load->library('form_validation');
        //$this->load->library("Form_validation");
        $this->load->helper("url");
        $this->load->helper('form');
        $this->load->helper('text');
        
        //Cargando los modelos para gestion de la data sistema pena
        $this->load->model('ValorHabitacion_Model');
        
    }
    
    //Buscar ValorHabitacion por parametro === OK
    public function searchValorHabitacion()
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//cargr Modelos
        $this->load->model('ValorHabitacion_Model');
        
        //Captutando los datos de busqueda
        $Opcion           = $this->input->post('Opcion')==''?'null':$this->input->post('Opcion');
        $ValorHabTipId    = $this->input->post('ValorHabTipId')==''?'null':$this->input->post('ValorHabTipId');
        $IdTipoOcupacion  = $this->input->post('TipoOcupacionId')==''?'null':$this->input->post('TipoOcupacionId');
        $IdHabitacion     = $this->input->post('IdHabitacion')==''?'null':$this->input->post('IdHabitacion');
        $IdClaseMatricula = $this->input->post('IdClaseMatricula')==''?'null':$this->input->post('IdClaseMatricula');
        $IdTipoHabitacion = $this->input->post('IdTipoHabitacion')==''?'null':$this->input->post('IdTipoHabitacion');

		//Armando el arreglo del dato
		$dato = array($Opcion, 'null', $IdHabitacion, 'null', $IdClaseMatricula,$IdTipoOcupacion,$IdTipoHabitacion); 
		// $dato = array($Opcion, $ValorHabTipId, $TipoOcupacionId, $HabitacionId, $ClaseMat); 
		$query = $this->ValorHabitacion_Model->getValorHabitacionforParameter(null,null,$dato);
       
		//Enviar Arreglo
        echo json_encode($query);
    }

    //Update ValorHabitacion
    public function updateValorHabitacion()
    {     
        if ($this->session->userdata('iduser')=='') {

            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  


        //Cargar Modal
        $this->load->model('ValorHabitacion_Model');
        $this->load->model('Bitacora_Model');

        //Solo los datos validos  
		$Opcion           = $this->input->post('Opcion')==''?null:$this->input->post('Opcion');
		$Precio           = $this->input->post('Precio')==''?null:$this->input->post('Precio');
		$IdClaseMatricula = $this->input->post('IdClaseMatricula')==''?null:$this->input->post('IdClaseMatricula');
		$IdTipoOcupacion  = $this->input->post('IdTipoOcupacion')==''?null:$this->input->post('IdTipoOcupacion');
		$IdTipoHabitacion = $this->input->post('IdTipoHabitacion')==''?null:$this->input->post('IdTipoHabitacion');
		 
		$IdUsuario    = $this->session->userdata('iduser');

		//Arreglo Principal
		$data = array('Opcion'           => $Opcion, 
                      'Precio'           => $Precio, 
                      'IdClaseMatricula' => $IdClaseMatricula, 
                      'IdTipoOcupacion'  => $IdTipoOcupacion,
                      'IdTipoHabitacion' => $IdTipoHabitacion);
        print_r($data); die();
		//Arreglo Bitacora
        $datob = array( 'IdEvento'  => '32', 
                        'Fecha'     => $Date,
                        'Hora'      => $Time, 
                        'IdUsuario' => $IdUsuario);
		
		
        //validar si existe el registro en la base de datos
        $resultado=$this->ValorHabitacion_Model->updateValorHabitacion($data);
        
        if($resultado)
        {   
            $this->Bitacora_Model->saveBitacora($datob);
            print_r(json_encode(array("res"=>"ok","msg"=>"Valores habitación actualizados satisfactoriamente")));
             
        }else{
            
            print_r(json_encode(array("res"=>"bad","msg"=>"Valores habitación no se pueden actualizar")));
             
        }
            
    }

    public function updateValorTipoHabitacion()
    {     
        if ($this->session->userdata('iduser')=='') {
            
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  


        //Cargar Modal
        $this->load->model('ValorHabitacion_Model');
        $this->load->model('Bitacora_Model');
        $this->load->model('TipoHabitaciones_Model');

        //Solo los datos validos  
		// $Opcion           = $this->input->post('Opcion')==''?null:$this->input->post('Opcion');
		// $Precio           = $this->input->post('Precio')==''?null:$this->input->post('Precio');
		// $IdClaseMatricula = $this->input->post('IdClaseMatricula')==''?null:$this->input->post('IdClaseMatricula');
		// $IdTipoOcupacion  = $this->input->post('IdTipoOcupacion')==''?null:$this->input->post('IdTipoOcupacion');
		$TipoHabitacion = "'".strval($this->input->post('TipoHabitacion')==''?null:$this->input->post('TipoHabitacion'))."'";
		$Capacidad = "'".strval($this->input->post('Capacidad')==''?null:$this->input->post('Capacidad'))."'";
		$Descripcion = "'".strval($this->input->post('Descripcion')==''?null:$this->input->post('Descripcion'))."'";
		$IdTipoHabitacion = $this->input->post('IdTipoHabitacion')==''?null:$this->input->post('IdTipoHabitacion');
        $PrecioIndividualTrans = $this->input->post('PrecioIndividualTrans')==''?null:$this->input->post('PrecioIndividualTrans');
        $PrecioParejaTrans = $this->input->post('PrecioParejaTrans')==''?null:$this->input->post('PrecioParejaTrans');
        $PrecioDosPersonasTrans = $this->input->post('PrecioDosPersonasTrans')==''?null:$this->input->post('PrecioDosPersonasTrans');
        $PrecioAdicionalTrans = $this->input->post('PrecioAdicionalTrans')==''?null:$this->input->post('PrecioAdicionalTrans');
        $PrecioIndividualPar = $this->input->post('PrecioIndividualPar')==''?null:$this->input->post('PrecioIndividualPar');
        $PrecioParejaPar = $this->input->post('PrecioParejaPar')==''?null:$this->input->post('PrecioParejaPar');
        $PrecioDosPersonasPar = $this->input->post('PrecioDosPersonasPar')==''?null:$this->input->post('PrecioDosPersonasPar');
        $PrecioAdicionalPar = $this->input->post('PrecioAdicionalPar')==''?null:$this->input->post('PrecioAdicionalPar');
		 
		$IdUsuario    = $this->session->userdata('iduser');

		//Arreglo Principal
		$dataT = array('Opcion'           => '1', 
                      'IdTipoHabitacion' => $IdTipoHabitacion,
                      'PrecioIndividualTrans' => $PrecioIndividualTrans,
                      'PrecioParejaTrans' => $PrecioParejaTrans,
                      'PrecioDosPersonasTrans' => $PrecioDosPersonasTrans,
                      'PrecioAdicionalTrans' => $PrecioAdicionalTrans,
                      'PrecioIndividualPar' => $PrecioIndividualPar,
                      'PrecioParejaPar' => $PrecioParejaPar,
                      'PrecioDosPersonasPar' => $PrecioDosPersonasPar,
                      'PrecioAdicionalPar' => $PrecioAdicionalPar
                        );
        $dataP = array('Opcion'           => '2', 
                        'IdTipoHabitacion' => $IdTipoHabitacion,
                        'PrecioIndividualTrans' => $PrecioIndividualTrans,
                        'PrecioParejaTrans' => $PrecioParejaTrans,
                        'PrecioDosPersonasTrans' => $PrecioDosPersonasTrans,
                        'PrecioAdicionalTrans' => $PrecioAdicionalTrans,
                        'PrecioIndividualPar' => $PrecioIndividualPar,
                        'PrecioParejaPar' => $PrecioParejaPar,
                        'PrecioDosPersonasPar' => $PrecioDosPersonasPar,
                        'PrecioAdicionalPar' => $PrecioAdicionalPar
                          );
        
        $dataTH = array('Opcion'           => '1', 
                          'TipoHabitacion' => $TipoHabitacion,
                          'Capacidad' => $Capacidad,
                          'Descripcion' => $Descripcion,
                          'IdTipoHabitacion' => $IdTipoHabitacion
                            );
        // print_r($dataTH); die();
		//Arreglo Bitacora
        $datob = array( 'IdEvento'  => '32', 
                        'Fecha'     => $Date,
                        'Hora'      => $Time, 
                        'IdUsuario' => $IdUsuario);
		
		
        //validar si existe el registro en la base de datos
        $resultadoT=$this->ValorHabitacion_Model->updateValorTipoHabitacion($dataT);
        $resultadoP=$this->ValorHabitacion_Model->updateValorTipoHabitacion($dataP);
        $resultadoTH=$this->TipoHabitaciones_Model->updateTipoHabitaciones($dataTH);

        
        if($resultadoT)
        {   
            $this->Bitacora_Model->saveBitacora($datob);
            print_r(json_encode(array("res"=>"ok","msg"=>"Valores habitación actualizados satisfactoriamente")));
             
        }else{
            
            print_r(json_encode(array("res"=>"bad","msg"=>"Valores habitación no se pueden actualizar")));
             
        }
            
    }

	//Insertar Nueva ValorHabitacion
    public function insertValorHabitacion()
    {     
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        } 

        date_default_timezone_set("America/Bogota");
        setlocale(LC_ALL,"es_CO");

        $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
        $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
        $Time = (date('H').":".date('i').":".date('s'));  


		//Cargar Modal
        $this->load->model('ValorHabitacion_Model');
        $this->load->model('Bitacora_Model');
        
        //Solo los datos validos  
		$Opcion           = $this->input->post('Opcion')==''?null:$this->input->post('Opcion');
		$Precio           = $this->input->post('Precio')==''?null:$this->input->post('Precio');
		$IdClaseMatricula = $this->input->post('IdClaseMatricula')==''?null:$this->input->post('IdClaseMatricula');
		$IdTipoOcupacion  = $this->input->post('IdTipoOcupacion')==''?null:$this->input->post('IdTipoOcupacion');
		$IdTipoHabitacion = $this->input->post('IdTipoHabitacion')==''?null:$this->input->post('IdTipoHabitacion');
		 
		$IdUsuario      = $this->session->userdata('iduser');

		//Armar Arreglo
		$data = array('Opcion'           => $Opcion, 
			          'Precio'           => $Precio, 
			          'IdClaseMatricula' => $IdClaseMatricula, 
			          'IdTipoOcupacion'  => $IdTipoOcupacion,
                      'IdTipoHabitacion' => $IdTipoHabitacion);
        
        $datob = array( 'IdEvento'  => '31', 
                        'Fecha'     => $Date,
                        'Hora'      => $Time, 
                        'IdUsuario' => $IdUsuario);

		//validar si existe el registro en la base de datos
        $resultado=$this->ValorHabitacion_Model->saveValorHabitacion($data);

        
        if($resultado)
        {   
            $this->Bitacora_Model->saveBitacora($datob);
            print_r(json_encode(array("res"=>"ok","msg"=>"Valores habitación creados satisfactoriamente"))); 
             
        }else{
            
            print_r(json_encode(array("res"=>"bad","msg"=>"Valores habitación no se pueden crear")));
             
        }
		
        
    }

    

	// //Eliminar Materiales
    // public function deleteValorHabitacion($Codigo_habitacion)
    // {            
    //     if ($this->session->userdata('iduser')=='') {
    //         redirect(base_url().'/admin');
    //     } 

    //     date_default_timezone_set("America/Bogota");
    //     setlocale(LC_ALL,"es_CO");

    //     $meses = array("01","02","03","04","05","06","07","08","09","10","11","12");
    //     $Date = (date('Y')."-".$meses[date('n')-1]."-".date('d'));  
    //     $Time = (date('H').":".date('i').":".date('s')); 
        
	// 	$this->load->model('ValorHabitacion_Model');
    //     $this->load->model('Bitacora_Model');
        
    //     $Codigo_habitacion = $this->session->userdata('iduser');
        
    //     $datab = array(
    //         'IdEvento'  => '4', 
    //         'Codigo_habitacion' => $Codigo_habitacion
    //     );
        
    //     //Llamar el Procedimiento
    //     $ValorHabitacion = $this->ValorHabitacion_Model->deleteValorHabitacion($Codigo_habitacion);
        
    //     if($ValorHabitacion)
    //     {   
    //         $this->Bitacora_Model->saveBitacora($datab);
    //         print_r(json_encode(array("res"=>"ok","msg"=>"Habitación Elimindo Satisfactoriamente")));
             
    //     }else{
            
    //         print_r(json_encode(array("res"=>"bad","msg"=>"Habitación No Eliminado")));
              
    //     }
    
    // }

    // //Precio de todas las habitaciones
    // public function PrecioHabitaciones()
    // {
    //     if ($this->session->userdata('iduser')=='') {
    //         redirect(base_url().'/admin');
    //     }

	// 	//Cargar Modelos
    //     $this->load->model('ValorHabitacion_Model');

	// 	//Configurando el array para consulta de Paises
	// 	$datoh = array('5','null','null','null','null');
	// 	$query = $this->Valorabitacion_Model->getValorHabitacion($datoh);
        
	// 	//retornar los valores
    //     echo json_encode($query);
    // }
}
